# $Revision: 1.11 $, $Date: 2002/10/29 14:57:25 $
Summary:	Open Inventor 3D toolkit
Summary(pl):	Open Inventor - toolkit 3D
Name:		openinventor
Version:	2.1.5
%define	subver	7
Release:	%{subver}.3
License:	LGPL
Group:		X11/Applications/Graphics
Source0:	ftp://oss.sgi.com/projects/inventor/download/inventor-%{version}-%{subver}.src.tar.gz
Patch0:		%{name}-glibc.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-install.patch
Patch3:		%{name}-nodisplay.patch
Patch4:		%{name}-paths.patch
Patch5:		%{name}-nobash.patch
Patch6:		%{name}-gcc3.patch
Patch7:		%{name}-dprintf.patch
Patch8:		%{name}-morearchs.patch
URL:		http://oss.sgi.com/projects/inventor/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel => 3.3.6
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype >= 2.0.1
BuildRequires:	libstdc++-devel
BuildRequires:	libjpeg-devel
BuildRequires:	motif-devel
Requires:	OpenGL
Obsoletes:	sgi-OpenInventor-clients
Obsoletes:	sgi-OpenInventor-data
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The Open Inventor 3D Toolkit is an object-oriented toolkit that
simplifies and abstracts the task of writing graphics programming into
a set of easy to use objects. These objects range from low-level
data-centered objects such as Sphere, Camera, Material, Light, and
Group, to high-level application-level objects such as Walk Viewer and
Material Editor. The foundation concept in Inventor is the "scene
database" which defines the objects to be used in an application. When
using Inventor, a programmer creates, edits, and composes these
objects into hierarchical 3D scene graphs (i.e. database). A variety
of fundamental application tasks such as rendering, picking, event
handling, and file reading/writing are built-in operations of all
objects in the database and thus are simple to invoke.

%description -l pl
Open Inventor jest zorientowanym obiektowo toolkitem 3D, ktry
upraszcza zadanie programowania grafiki do zestawu atwych do uycia
obiektw. Mona uywa obiektw poczwszy od niskiego poziomu,
zwizanego z danymi (np. kula, kamera, materia, wiato) do
wysokiego, zwizanego z aplikacj (np. edytor materiaw).

%package devel
Summary:	Open Inventor for programmers
Summary(pl):	Open Inventor dla programistw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	sgi-OpenInventor-devel

%description devel
Package for programmers using Open Inventor. Contains header files,
API documentation and examples.

%description devel -l pl
Pakiet dla programistw korzystajcych z Open Inventora. Zawiera pliki
nagwkowe, dokumentacj API i przykady.

%package static
Summary:	Open Inventor static libraries
Summary(pl):	Biblioteki statyczne Open Inventora
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Open Inventor static libraries.

%description static -l pl
Biblioteki statyczne Open Inventora.

%package demos
Summary:	Open Inventor demos
Summary(pl):	Programy demonstracyjne Open Inventora
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}

%description demos
Demonstration programs for Open Inventor.

%description demos -l pl
Programy demonstrujce moliwoci Open Inventora.

%prep
%setup -q -n inventor
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
# use freetype-based libFL instead of precompiled x86 binary libFL.a
rm -f libFL/src/libFL.a
FREETYPE=1; export FREETYPE

LD_LIBRARY_PATH="`pwd`/lib:`pwd`/libSoXt"; export LD_LIBRARY_PATH
%{__make} OPTIMIZER="%{rpmcflags} %{!?debug:-DNDEBUG}" YACC="bison -y"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/InventorDSO,%{_mandir}/man7} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	IVROOT=$RPM_BUILD_ROOT

install lib/lib*.a libSoXt/lib*.a $RPM_BUILD_ROOT%{_libdir}
install apps/nodes/*/*.so $RPM_BUILD_ROOT%{_libdir}/InventorDSO
install apps/demos/*/*.about $RPM_BUILD_ROOT%{_datadir}/Inventor/help
cp -rf apps/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv -f $RPM_BUILD_ROOT%{_mandir}/man{1/inventor.1,7/inventor.7}

# resolve conflict with gview
mv -f $RPM_BUILD_ROOT%{_bindir}/{gview,invgview}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc KNOWN.BUGS
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_libdir}/InventorDSO
%attr(755,root,root) %{_libdir}/InventorDSO/*.so
%attr(755,root,root) %{_bindir}/iv2toiv1
%attr(755,root,root) %{_bindir}/ivcat
%attr(755,root,root) %{_bindir}/ivdowngrade
%attr(755,root,root) %{_bindir}/ivfix
%attr(755,root,root) %{_bindir}/ivinfo
%attr(755,root,root) %{_bindir}/ivview
%attr(755,root,root) %{_bindir}/SceneViewer
%dir %{_datadir}/Inventor
%dir %{_datadir}/Inventor/data
%{_datadir}/Inventor/data/models
%dir %{_datadir}/Inventor/help
%{_datadir}/Inventor/help/*.help
%{_datadir}/Inventor/help/SceneViewer.about
%{_datadir}/Inventor/help/ivview.about
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/drop
%attr(755,root,root) %{_bindir}/invgview
%attr(755,root,root) %{_bindir}/maze
%attr(755,root,root) %{_bindir}/noodle
%attr(755,root,root) %{_bindir}/qmorf
%attr(755,root,root) %{_bindir}/revo
%attr(755,root,root) %{_bindir}/textomatic
%{_datadir}/Inventor/data/demos
%{_datadir}/Inventor/help/noodle.about
%{_datadir}/Inventor/help/qmorf.about
%{_datadir}/Inventor/help/revo.about
%{_datadir}/Inventor/help/textomatic.about

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: openinventor.spec,v $
Revision 1.11  2002/10/29 14:57:25  qboosh
- added morearchs patch to support alpha, ppc and sparc
- killed precompiled x86 binary libFL.a, build freetype-based version
- resolved conflict with gview (s/gview/invgview/)
- release .3

Revision 1.10  2002/10/12 22:20:15  qboosh
- added gcc3 (C++ fix) and dprintf (fix for conflict with GNU C extension) patches
- added -DNDEBUG to OPTIMIZER
- new %%doc, release .2

Revision 1.9  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/12 14:24:22  qboosh
- adapterized (to get full groups lists)

Revision 1.6  2001/05/29 16:07:07  qboosh
- added missing %%{_libdir}/InventorDSO/{,*}
- nobash patch: don't use >& in system() calls

Revision 1.5  2001/05/29 01:06:27  qboosh
- 2.1.5-7, fixed typo in Source URL
- glibc, link, install patches needed to build
- nodisplay patch needed to build manuals without X DISPLAY
- paths patch trying to make it FHS-compliant

Revision 1.4  2001/05/02 16:29:11  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.2  2000/08/22 08:49:36  cieciwa
- fixing some mistakes.

Revision 1.1  2000/08/22 08:48:38  cieciwa
- SGI Open Inventor, initial spec.
